Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/AbstractIndexClientFactory.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/AbstractIndexClientFactory.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/AbstractIndexClientFactory.java	(revision 57158)
@@ -1,19 +1,20 @@
 package eu.dnetlib.clients.index.client;
 
-import eu.dnetlib.clients.index.utils.ServiceTools;
 import org.springframework.beans.factory.annotation.Autowired;
 
+import eu.dnetlib.clients.index.utils.ServiceTools;
+
+
 /**
  * The Class AbstractIndexClientFactory.
  */
 public abstract class AbstractIndexClientFactory implements IndexClientFactory {
 
+	/** The backend id. */
+	private String backendId;
+
 	@Autowired
 	protected ServiceTools isQueryTools;
-	/**
-	 * The backend id.
-	 */
-	private String backendId;
 
 	/**
 	 * Inits the class.
@@ -22,6 +23,8 @@
 
 	/**
 	 * {@inheritDoc}
+	 *
+	 * @see eu.dnetlib.index.client.IndexClientFactory#getBackendId()
 	 */
 	@Override
 	public String getBackendId() {
@@ -31,7 +34,8 @@
 	/**
 	 * Sets the backend id.
 	 *
-	 * @param backendId the backend id
+	 * @param backendId
+	 *            the backend id
 	 */
 	public void setBackendId(final String backendId) {
 		this.backendId = backendId;
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/IndexClientFactory.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/IndexClientFactory.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/IndexClientFactory.java	(revision 57158)
@@ -1,5 +1,7 @@
 package eu.dnetlib.clients.index.client;
 
+import eu.dnetlib.utils.MetadataReference;
+
 public interface IndexClientFactory {
 
 	String getBackendId();
@@ -6,4 +8,8 @@
 
 	IndexClient getClient(String format, String layout, String interpretation) throws IndexClientException;
 
+	IndexClient getClient(MetadataReference mdRef) throws IndexClientException;
+
+	IndexClient getClient(String collection) throws IndexClientException;
+
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/LookupResponse.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/LookupResponse.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/LookupResponse.java	(revision 57158)
@@ -1,10 +1,12 @@
 package eu.dnetlib.clients.index.client.response;
 
 import java.util.List;
+
 import javax.xml.bind.annotation.XmlRootElement;
 
 import eu.dnetlib.clients.index.query.QueryResponseParser;
 
+
 @XmlRootElement
 public class LookupResponse {
 
@@ -13,8 +15,7 @@
 	private long to;
 	private List<String> records;
 
-	public LookupResponse() {
-	}
+	public LookupResponse() {}
 
 	public LookupResponse(final QueryResponseParser parser) {
 		this.total = parser.getNumFound();
